org.apache.solr.common.cloud

## Class VMParamsSingleSetCredentialsDigestZkCredentialsProvider

- java.lang.Object
- - org.apache.solr.common.cloud.DefaultZkCredentialsProvider
  - - org.apache.solr.common.cloud.VMParamsSingleSetCredentialsDigestZkCredentialsProvider

All Implemented Interfaces:
  ZkCredentialsProvider

    public class VMParamsSingleSetCredentialsDigestZkCredentialsProvider
    extends DefaultZkCredentialsProvider

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.cloud.ZkCredentialsProvider

`ZkCredentialsProvider.ZkCredentials`

### Field Summary

Fields
`static String` `DEFAULT_DIGEST_PASSWORD_VM_PARAM_NAME`
`static String` `DEFAULT_DIGEST_USERNAME_VM_PARAM_NAME`

### Constructor Summary

Constructors
Constructor and Description
`VMParamsSingleSetCredentialsDigestZkCredentialsProvider()`
`VMParamsSingleSetCredentialsDigestZkCredentialsProvider(String zkDigestUsernameVMParamName, String zkDigestPasswordVMParamName)`

### Method Summary

Methods
`protected Collection<ZkCredentialsProvider.ZkCredentials>` `createCredentials()`

### Methods inherited from class org.apache.solr.common.cloud.DefaultZkCredentialsProvider

`getCredentials`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_DIGEST_USERNAME_VM_PARAM_NAME

    public static final String DEFAULT_DIGEST_USERNAME_VM_PARAM_NAME

See Also:
  Constant Field Values

#### DEFAULT_DIGEST_PASSWORD_VM_PARAM_NAME

    public static final String DEFAULT_DIGEST_PASSWORD_VM_PARAM_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### VMParamsSingleSetCredentialsDigestZkCredentialsProvider

    public VMParamsSingleSetCredentialsDigestZkCredentialsProvider()

#### VMParamsSingleSetCredentialsDigestZkCredentialsProvider

    public VMParamsSingleSetCredentialsDigestZkCredentialsProvider(String zkDigestUsernameVMParamName,
                                                           String zkDigestPasswordVMParamName)

### Method Detail

#### createCredentials

    protected Collection<ZkCredentialsProvider.ZkCredentials> createCredentials()

Overrides:
  `createCredentials` in class `DefaultZkCredentialsProvider`